### Class

# Ide PersistentMap

#### Description

    final class Ide.PersistentMap : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_persistent_map_new

No description available.

#### Instance methods

###### ide_persistent_map_builder_get_metadata_int64

No description available.

###### ide_persistent_map_load_file

No description available.

###### ide_persistent_map_load_file_async

No description available.

###### ide_persistent_map_load_file_finish

No description available.

Available since: 3.32

###### ide_persistent_map_lookup_value

No description available.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdePersistentMapClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.